package com.zd.forward.domain;

import org.springframework.web.multipart.MultipartFile;

/**
 * 图片输入源参数
 * @Author: zhoupan
 * @Date: 2021/11/13/10:59
 * @Description:
 */
public class ImageRequestData extends BaseRequestData{
    //分析图片：form-data
    MultipartFile image;
    //时间戳(单位秒)
    Long timestamp;
    //是否同步：1-同步（默认），0-异步
    int sync;
    //回调地址，设置异步时必传
    String callback;
    //扩展字段，响应时会返回该扩展字段
    String extension;

    public MultipartFile getImage() {
        return image;
    }

    public void setImage(MultipartFile image) {
        this.image = image;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public int getSync() {
        return sync;
    }

    public void setSync(int sync) {
        this.sync = sync;
    }

    public String getCallback() {
        return callback;
    }

    public void setCallback(String callback) {
        this.callback = callback;
    }

    public String getExtension() {
        return extension;
    }

    public void setExtension(String extension) {
        this.extension = extension;
    }
}
